interface Options {
    /**
     * The path  of the generated PDF file.
     */
    outputPath: string;
    /**
     * The first docs page to start generating the
     * PDF from.
     */
    firstDocsPath: string;
    /**
     * The
     */
    baseUrl: string;
    /**
     * The format of the generated PDF. Can be used to make
     * the PDF pages printable on A4 paper.
     */
    format?: string;
    /**
     * Replaces all baseUrl links with the provided string.
     */
    baseUrlReplacement?: string;
    /**
     * A delay to wait for generating the PDF page. Allows for JavaScript
     * hydration to complete.
     */
    pageDelay?: number;
}
export declare function run(options: Options): Promise<void>;
export {};
