"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var picocolors_1 = __importDefault(require("picocolors"));
var commander_1 = require("commander");
var api_1 = require("./api");
commander_1.program
    .option("-o, --output-file <type>", "The location of the generated PDF file.")
    .option('-base-url, --base-url <type>', 'The base url of the website to generate the PDF from.')
    .option('-p, --path <type>', 'The first docs page path to generate the PDF from.')
    .option('-f, --format <type>', 'The page format of the generated PDF.')
    .option('-r, --replace <type>', 'Replaces all baseUrl links with the provided string.')
    .option('-d, --delay <type>', 'A delay to wait for generating the PDF page. Allows for JavaScript hydration to complete.');
commander_1.program.parse(process.argv);
var options = commander_1.program.opts();
if (options.outputFile && options.baseUrl && options.path) {
    (0, api_1.run)({
        baseUrl: options.baseUrl,
        firstDocsPath: options.path,
        outputPath: options.outputFile,
        format: options.format,
        baseUrlReplacement: options.replace,
        pageDelay: options.delay,
    }).then(function () {
        console.log(picocolors_1.default.green("PDF generated successfully!"));
        process.exit(0);
    }).catch(function (err) {
        console.error(picocolors_1.default.red(err.message));
        process.exit(1);
    });
}
else {
    console.error(picocolors_1.default.red("Please provide all required arguments."));
    process.exit(1);
}
//# sourceMappingURL=cli.js.map